Package: groovy.console.ui

## [Java] Class ConsoleSupport

- groovy.console.ui.ConsoleSupport

-     public abstract class ConsoleSupport
      extends Object

  Base class for console

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addStylesToDocument(JTextPane outputArea)`
    `` | `protected Object` | `evaluate(String text)`
    `` | `public Style` | `getCommandStyle()`
    `` | `public Style` | `getOutputStyle()`
    `` | `public Style` | `getPromptStyle()`
    `` | `public GroovyShell` | `getShell()`
    `` | `protected abstract void` | `handleException(String text, Exception e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### protected void addStylesToDocument(JTextPane outputArea)

    - #### protected Object evaluate(String text)

    - #### public Style getCommandStyle()

    - #### public Style getOutputStyle()

    - #### public Style getPromptStyle()

    - #### public GroovyShell getShell()

    - #### protected abstract void handleException(String text, Exception e)